Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84014 - /usr/include/linux/sonet.h from glibc-kernelheaders is broken on 7.3
Summary: /usr/include/linux/sonet.h from glibc-kernelheaders is broken on 7.3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc-kernheaders
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-10 23:29 UTC by Mark Frazer
Modified: 2015-01-04 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-27 23:23:01 UTC


Attachments (Terms of Use)

Description Mark Frazer 2003-02-10 23:29:07 UTC
Description of problem:
sonet.h is borked


Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-7.16.i386.rpm

How reproducible:
every time

Steps to Reproduce:
gcc -E /usr/include/linux/sonet.h || echo SONET.H IS BORKED

Additional info:
Here's a diff against the debian sonet.h
--- /usr/include/linux/sonet.h  Wed Oct 31 09:39:47 2001
+++ /net/dr/export/formark/sonet.h      Mon Feb 10 18:12:57 2003
@@ -56,7 +56,9 @@
 #define SONET_FRSENSE_SIZE 6           /* C1[3],H1[3] (0xff for unknown) */
 
 
+#ifndef __KERNEL__
 #undef __SONET_ITEMS
+#else
 
 #include <asm/atomic.h>

Comment 1 Igor 2003-03-11 12:09:04 UTC
The same in RH 8.0

Comment 2 Kåre Särs 2003-10-20 13:07:29 UTC
The removed "#ifndef __KERNEL__" and "#else" breaks the header. 
 
This bug results in compilation problems when compiling "ATM on Linux". 
 
A solution would be to use the sonet.h file found in the linux kernel tree. 
 
This problem exists also in RH 9. 
 
 
  Kåre Särs 
 

Comment 3 Giacomo Magnini 2004-02-01 16:01:47 UTC
This problem is still present in FC1!!!

Comment 4 Pete Zaitcev 2004-02-01 18:21:35 UTC
Fixed in 2.4-8.38 by removing the #undef AND the k_ structure.



Note You need to log in before you can comment on or make changes to this bug.